<template>
  <transition name="scale-fade">
    <div
      class="myBets_popup"
      v-if="visible">
      <div
        class="myBets_popup_inner"
        :style="{width: width, height: height}">
        <div class="myBets_popup-header">
          <div
            class="myBets_popup-close"
            @click="close">
            <i class="i-icon-close"></i>
          </div>
        </div>
        <div
          class="myBets_popup-body"
          :style="customStyle">
          <div
            class="flex flex-middle flex-around modal_default-header"
            v-if="title">
            {{title}}
          </div>
          <slot></slot>
          <slot
            name="footer"
            v-if="showFooter">
            <div class="myBets_popup-body-btn flex flex-middle flex-center">
              <Btn
                :disabled="loading"
                @click="$emit('submit')"
                style="margin-bottom: 0px; margin-top: 0px;">{{btnTitle}}
              </Btn>
            </div>
          </slot>
        </div>
      </div>
    </div>
  </transition>
</template>

<script>
  import Btn from '~/components/UI/BtnSign';

  export default {
    name: "DefaultModal",
    props: {
      title: {
        type: String
      },
      btnTitle: {
        type: String,
        default: 'Accept'
      },
      showBtn: {
        type: Boolean,
        default: true
      },
      customStyle: {
        type: String,
        default: ''
      },
      showFooter: {
        type: Boolean,
        default: true
      },
      width: {
        type: String,
        default: '300px'
      },
      height: {
        type: String,
        default: '350px'
      },
      disabled: {
        type: Boolean,
        default: false
      },
      loading: {
        type: Boolean,
        default: false
      }
    },
    data() {
      return {
        visible: false,
      }
    },
    components: {
      Btn
    },
    methods: {
      close() {
        this.$emit('close');
        this.show(false);
      },
      show(show = true) {
        this.visible = show;
      },
    }
  }
</script>
<style
  lang="scss"
  scoped>

</style>
